function [matrix, RHS] = galerkin(infile, num)
  % Default processing
  if (nargin < 2)
    num = 10;
  end
  [panels] = readpanels(infile);
  [rows,cols,numpanels] = size(panels);

  matrix = zeros(numpanels, numpanels);
  for i=1:numpanels
    % Actually, numverts should always four
    numverts = panels(1,1,i);
    if (numverts ~= 4)
      error('Only Q format supported.');
    end
    panel = panels(2:numverts+1,:,i);
    x0 = panel(1,1); 
    y0 = panel(1,2);
    x1 = panel(3,1);
    y1 = panel(3,2);
    area = (y1 - y0)*(x1 - x0);
    RHS(i) = area;
    for j = 1:numpanels
      numverts2 = panels(1,1,j);
      if (numverts2 ~= 4)
        error('Only Q format supported.');
      end
      panel2 = panels(2:numverts2+1,:,j);
      x0p = panel2(1,1); 
      y0p = panel2(1,2);
      x1p = panel2(3,1);
      y1p = panel2(3,2);
      
%fprintf('%f,%f,%f,%f,%f,%f,%f,%f\n',x0,y0,x1,y1,x0p,y0p,x1p,y1p)
      val = myquad(x0,y0,x1,y1,x0p,y0p,x1p,y1p,num);
      matrix(i,j) = val;
    end
  end
